class Transcoder

	def initialize(config, repository)
		@config = config
		@repository = repository
	end

	def start
		puts "Starting transcoder..."

		# search for files in ingest
		ingestFiles = @repository.searchIngest()
		ingestFiles.each { |ifile|
			# archive the file
			@repository.archiveFile(ifile)
			# perform the transcode
			# // TODO self.transcode(ifile)
			# clean up the file from ingest
			@repository.cleanupFile(ifile)
		}
	end

end
